---
lang: en
title: 'API docs: core.extensionfor'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.extensionfor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [extensionFor](./core.extensionfor.md)

## extensionFor() function

A factory function to create binding template for extensions of the given extension point

<b>Signature:</b>

```typescript
export declare function extensionFor(extensionPointName: string): BindingTemplate;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  extensionPointName | <code>string</code> | Name of the extension point |

<b>Returns:</b>

`BindingTemplate`


